apiVersion: v1
kind: Endpoints
metadata:
{% if is_exporter | default(False) and svc_metrics_path | default(False) %}
  annotations:
    prometheus.io/path: {{ svc_metrics_path }}
{% endif %}
{% if is_exporter | default(False) %}
  labels:
    {{ prometheus_label | default(prometheus_service_label) }}: {{ prometheus_match }}
  name: exporter-{{ svc_name }}
{% else %}
  name: {{ svc_name }}
{% endif %}
  namespace: {{ namespace }}
subsets:
- addresses:
{% for addr in endpoints %}
  - ip: {{ addr }}
{% endfor %}
  ports:
{% for port in ports %}
{% if is_exporter | default(False) %}
  - name: exporter-{{ port }}
{% else %}
  - name: tcp-{{ port }}
{% endif %}
    port: {{ port }}
    protocol: TCP
{% endfor %}
